#pragma once

#include <string>

class HtmlDocument;
class HtmlElement;

class HtmlWriter
{
public:
    HtmlWriter();

    std::string toString(HtmlDocument* document);

    std::string toString(HtmlElement* element, unsigned startDepth=0);
};
